Summary:	ZRTP keys exchange protocol implementation
Name:		bzrtp
Version:	5.3.79
Release:	1%{?dist}.inferit

License:	GPLv2
URL:		https://linphone.org/
Source0:	https://gitlab.linphone.org/BC/public/bzrtp/-/archive/%{version}/bzrtp-%{version}.tar.gz
# (wally) install .pc file with cmake
Patch0:		bzrtp-cmake-install-pkgconfig-pc-file.patch
# (wally) fix cmake config file location
Patch1:         bzrtp-cmake-config-location.patch

BuildRequires:	cmake
BuildRequires:	ninja-build
BuildRequires:	pkgconfig(bctoolbox) >= %{version}
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(sqlite3)
BuildRequires:  gcc
BuildRequires:  gcc-c++

%description
bzrtp is a FOSS implementation of ZRTP keys exchange protocol.
The library is written in C 89, is fully portable, and can be executed
on many platforms including x86 and ARM processors.

%package devel
Summary:	Development files for %{name}
Requires:	%{name} = %{version}-%{release}

%description devel
This package contains development files for %{name}

%prep
%setup -q
%autopatch -p1

# Fix version
sed -i -e '/project/s/\(VERSION\)\s\+[0-9]\+\(\.[0-9]\+\)\+/\1 %{version}/' CMakeLists.txt

%build
%cmake -GNinja \
  -DENABLE_STATIC:BOOL=NO \
  -DENABLE_STRICT:BOOL=NO
%cmake_build

%install
%cmake_install

%files
%license LICENSE.txt
%doc CHANGELOG.md README.md
%{_libdir}/lib%{name}.so.*

%files devel
%{_includedir}/%{name}/
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/lib%{name}.pc
%{_libdir}/cmake/BZRTP/


%changelog
* Fri Sep 20 2024 Dmitriy Samoylik <samoylikdv@msvsphere-os.ru> - 5.3.79-1.inferit
- Update to 5.3.79-1.inferit

* Fri May 31 2024 Arkady L. Shane <tigro@msvsphere-os.ru> - 5.3.54-1.inferit
- Update to 5.3.54
- Clean up spec

* Thu May 30 2024 Sergey Cherevko <s.cherevko@msvsphere-os.ru> - 5.3.5-1.inferit
- Rebuilt for MSVSphere 9.4

* Sat Dec 30 2023 wally <wally> 5.3.5-1.mga10
+ Revision: 2024672
- new version 5.3.5

* Fri Jun 09 2023 wally <wally> 5.2.70-1.mga9
+ Revision: 1961521
- new version 5.2.70

* Sat Dec 24 2022 wally <wally> 5.2.4-1.mga9
+ Revision: 1926260
- new version 5.2.4

* Sun Dec 04 2022 wally <wally> 5.1.72-1.mga9
+ Revision: 1917533
- new version 5.1.72
- build using ninja

* Tue Aug 23 2022 wally <wally> 5.1.55-1.mga9
+ Revision: 1879626
- new version 5.1.55

* Wed May 04 2022 wally <wally> 5.1.12-2.mga9
+ Revision: 1856170
- rebuild to core/release

* Tue May 03 2022 wally <wally> 5.1.12-1.mga9
+ Revision: 1855680
- new version 5.1.12

* Fri Mar 18 2022 umeabot <umeabot> 5.0.53-2.mga9
+ Revision: 1798806
- Mageia 9 Mass Rebuild

* Sun Nov 21 2021 wally <wally> 5.0.53-1.mga9
+ Revision: 1758355
- new version 5.0.53

* Sat Jul 31 2021 wally <wally> 5.0.0-1.mga9
+ Revision: 1738379
- new version 5.0.0

* Sun May 30 2021 wally <wally> 4.5.15-1.mga9
+ Revision: 1728849
- new version 4.5.15

* Sat Apr 10 2021 wally <wally> 4.5.1-1.mga9
+ Revision: 1714610
- new version 4.5.1

* Sun Mar 21 2021 wally <wally> 4.4.34-1.mga9
+ Revision: 1706479
- new version 4.4.34

* Sun Dec 27 2020 wally <wally> 4.4.21-1.mga8
+ Revision: 1664104
- new version 4.4.21

* Sat Dec 19 2020 wally <wally> 4.4.19-1.mga8
+ Revision: 1661357
- new version 4.4.19

* Thu Dec 10 2020 wally <wally> 4.4.13-1.mga8
+ Revision: 1655179
- new version 4.4.13

* Mon Nov 23 2020 wally <wally> 4.4.9-1.mga8
+ Revision: 1648760
- new version 4.4.9

* Sun Oct 25 2020 wally <wally> 4.4.6-1.mga8
+ Revision: 1639238
- new version 4.4.6

* Sat Sep 05 2020 shlomif <shlomif> 4.4.0-1.mga8
+ Revision: 1622361
- New version 4.4.0

* Sat Mar 28 2020 wally <wally> 4.3.1-1.mga8
+ Revision: 1561406
- new version 4.3.1

* Wed Feb 12 2020 umeabot <umeabot> 3.mga8-current
+ Revision: 1511154
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Sat Sep 22 2018 umeabot <umeabot> 1.0.6-2.mga7
+ Revision: 1295757
- Mageia 7 Mass Rebuild
+ wally <wally>
- fix devel pkg summary
- add more strict requires to devel pkg

* Sun Dec 31 2017 wally <wally> 1.0.6-1.mga7
+ Revision: 1188315
- new version 1.0.6
- switch to cmake build

* Wed Nov 22 2017 tv <tv> 1.0.4-3.mga7
+ Revision: 1178714
- rebuild for new libbctoolbox

* Sun Jan 22 2017 akien <akien> 1.0.4-2.mga6
+ Revision: 1083025
- Remove BR on mbedtls, used to build bctoolbox only

* Fri Dec 02 2016 zezinho <zezinho> 1.0.4-1.mga6
+ Revision: 1071680
- new version 1.0.4

* Fri Jan 15 2016 luigiwalser <luigiwalser> 1.0.3-2.mga6
+ Revision: 923165
- rebuild to regenerate devel deps

* Mon Nov 16 2015 oden <oden> 1.0.3-1.mga6
+ Revision: 903556
- 1.0.3

* Sun Aug 02 2015 oden <oden> 1.0.2-1.mga6
+ Revision: 860686
- fix group
- imported package bzrtp


* Sun Aug 02 2015 Oden Eriksson <oe@nux.se> 1.0.2-1
- initial Mageia package
